Organizations API
Actions in the organizations namespace of the Nexigon Hub API.
organizations_Query
POST /api/v1/actions/invoke/organizations_Query Query the organizations of the instance.
Request QueryOrganizationsAction
No fields.
Response QueryOrganizationsOutput
Fields (JSON object)
organizationsrequiredList of organizations.
array<QueryOrganizationsItem>
Items
QueryOrganizationsItem
Fields (JSON object)
organizationId(fromorganization_id) requiredID of the organization.
OrganizationId
stringnamerequiredName of the organization.
string
organizations_QueryMembers
POST /api/v1/actions/invoke/organizations_QueryMembers Query the members of an organization.
Request QueryOrganizationMembersAction
Fields (JSON object)
organizationId(fromorganization_id) requiredID of the organization.
OrganizationId string
Response QueryOrganizationMembersOutput
Fields (JSON object)
membersrequiredList of members.
array<QueryOrganizationMembersItem>
Items
QueryOrganizationMembersItem
Fields (JSON object)
userId(fromuser_id) requiredID of the user.
UserId
stringdisplayName(fromdisplay_name) optionalName of the user.
string
emailrequiredEmail of the user.
string
isAdmin(fromis_admin) requiredWhether the user is an administrator of the organization.
boolean
organizations_QueryProjects
POST /api/v1/actions/invoke/organizations_QueryProjects Query the projects of an organization.
Request QueryOrganizationProjectsAction
Fields (JSON object)
organizationId(fromorganization_id) requiredID of the organization.
OrganizationId string
Response QueryOrganizationProjectsOutput
Fields (JSON object)
projectsrequiredList of projects.
array<QueryOrganizationProjectsItem>
Items
QueryOrganizationProjectsItem
Fields (JSON object)
projectId(fromproject_id) requiredID of the project.
ProjectId
stringnamerequiredName of the project.
string
organizations_QueryRepositories
POST /api/v1/actions/invoke/organizations_QueryRepositories Query the repositories of an organization.
Request QueryOrganizationRepositoriesAction
Fields (JSON object)
organizationId(fromorganization_id) requiredID of the organization.
OrganizationId string
Response QueryOrganizationRepositoriesOutput
Fields (JSON object)
repositoriesrequiredList of repositories.
array<QueryOrganizationRepositoriesItem>
Items
QueryOrganizationRepositoriesItem
Fields (JSON object)
repositoryId(fromrepository_id) requiredID of the repository.
RepositoryId
stringpublicName(frompublic_name) requiredPublic name of the repository.
string
displayName(fromdisplay_name) optionalDisplay name of the repository (if any).
string
organizations_QueryInvitations
POST /api/v1/actions/invoke/organizations_QueryInvitations Query the invitations of an organization.
Request QueryOrganizationInvitationsAction
Fields (JSON object)
organizationId(fromorganization_id) requiredID of the organization.
OrganizationId string
Response QueryOrganizationInvitationsOutput
Fields (JSON object)
invitationsrequiredList of outstanding invitations.
array<QueryOrganizationInvitationsItem>
Items
QueryOrganizationInvitationsItem
Fields (JSON object)
invitationId(frominvitation_id) requiredID of the invitation.
OrganizationInvitationId
stringemailrequiredEmail address of the invited user.
string
invitingUserId(frominviting_user_id) optionalID of the inviting user.
UserId
string
organizations_Create
POST /api/v1/actions/invoke/organizations_Create Create an organization.
Request CreateOrganizationAction
Fields (JSON object)
namerequiredName of the organization.
string adminsoptionalAdmins of the organization.
array<UserId>
Items
UserId
stringrequiresSubscription(fromrequires_subscription) requiredWhether the organization requires a subscription.
boolean
Response CreateOrganizationOutput
Fields (JSON object)
organizationId(fromorganization_id) requiredID of the organization.
OrganizationId string
organizations_Delete
POST /api/v1/actions/invoke/organizations_Delete Delete an organization.
Request DeleteOrganizationAction
Fields (JSON object)
organizationId(fromorganization_id) requiredID of the organization.
OrganizationId string
Response Empty
No fields.
organizations_AddMember
POST /api/v1/actions/invoke/organizations_AddMember Add a user to an organization.
Request AddOrganizationMemberAction
Fields (JSON object)
organizationId(fromorganization_id) requiredID of the organization.
OrganizationId stringuserId(fromuser_id) requiredID of the user to add.
UserId stringisAdmin(fromis_admin) optionalWhether the user should be an administrator of the organization.
boolean
Response Empty
No fields.
organizations_RemoveMember
POST /api/v1/actions/invoke/organizations_RemoveMember Remove a user from an organization.
Request RemoveOrganizationMemberAction
Fields (JSON object)
organizationId(fromorganization_id) requiredID of the organization.
OrganizationId stringuserId(fromuser_id) requiredID of the user.
UserId string
Response Empty
No fields.
organizations_SetMemberIsAdmin
POST /api/v1/actions/invoke/organizations_SetMemberIsAdmin Set whether the user is an administrator of the organization.
Request SetOrganizationMemberIsAdminAction
Fields (JSON object)
organizationId(fromorganization_id) requiredID of the organization.
OrganizationId stringuserId(fromuser_id) requiredID of the user.
UserId stringisAdmin(fromis_admin) requiredWhether the user should be an administrator of the organization.
boolean
Response Empty
No fields.
organizations_InviteMember
POST /api/v1/actions/invoke/organizations_InviteMember Invite a user to an organization.
Request InviteOrganizationMemberAction
Fields (JSON object)
organizationId(fromorganization_id) requiredID of the organization.
OrganizationId stringemailrequiredEmail address of the user to invite.
string
Response InviteOrganizationMemberOutput
Fields (JSON object)
invitationId(frominvitation_id) requiredID of the invitation.
OrganizationInvitationId string
organizations_DeleteInvitation
POST /api/v1/actions/invoke/organizations_DeleteInvitation Delete an invitation to an organization.
Request DeleteOrganizationInvitationAction
Fields (JSON object)
invitationId(frominvitation_id) requiredID of the invitation.
OrganizationInvitationId string
Response Empty
No fields.
organizations_QueryAuditLog
POST /api/v1/actions/invoke/organizations_QueryAuditLog Query the audit log of an organization.
Request QueryOrganizationAuditLogAction
Fields (JSON object)
organizationId(fromorganization_id) requiredID of the organization.
OrganizationId string
Response QueryOrganizationAuditLogOutput
Fields (JSON object)
eventsrequiredList of audit log events.
array<AuditLogEvent>
Items
AuditLogEvent
Fields (JSON object)
eventId(fromevent_id) requiredID of the audit log event.
AuditLogEventId
stringactorrequiredActor causing the event.
Actor
Cases internally β tag field
actorAnonymousAn anonymous, unauthenticated actor.
{ "actor": "Anonymous", ...<payload fields> } β or "content" for non-object payloadsAnonymousActor
No fields.
SystemThe system itself, typically used for internal actions.
{ "actor": "System", ...<payload fields> } β or "content" for non-object payloadsSystemActor
No fields.
DeviceA device authenticated via a specific deployment token.
{ "actor": "Device", ...<payload fields> } β or "content" for non-object payloadsDeviceActor
Fields (JSON object)
deviceId(fromdevice_id) requiredID of the device.
DeviceId
stringtokenId(fromtoken_id) requiredID of the deployment token used for authentication.
DeploymentTokenId
string
UserA user typically authenticated via a user session.
{ "actor": "User", ...<payload fields> } β or "content" for non-object payloadsUserActor
Fields (JSON object)
userId(fromuser_id) requiredID of the user.
UserId
string
UserTokenA user authenticated via a specific token.
{ "actor": "UserToken", ...<payload fields> } β or "content" for non-object payloadsUserTokenActor
Fields (JSON object)
userId(fromuser_id) requiredID of the user.
UserId
stringtokenId(fromtoken_id) requiredID of the user token used for authentication.
UserTokenId
string
ClusterNodeA cluster node.
{ "actor": "ClusterNode", ...<payload fields> } β or "content" for non-object payloadsClusterNodeActor
Fields (JSON object)
nodeId(fromnode_id) requiredID of the cluster node.
ClusterNodeId
string
OrganizationApiTokenAn organization API token.
{ "actor": "OrganizationApiToken", ...<payload fields> } β or "content" for non-object payloadsOrganizationApiTokenActor
Fields (JSON object)
organizationId(fromorganization_id) requiredID of the organization.
OrganizationId
stringtokenId(fromtoken_id) requiredID of the API token.
OrganizationApiTokenId
string
eventrequiredType of the event that was recorded.
string
datarequiredAdditional audit data associated with the event.
JsonValue
anycreatedAt(fromcreated_at) requiredTimestamp indicating when the audit log event was recorded.
Timestamp
stringactionoptionalAction the event has been caused by (if any).
AuditLogEventAction
Fields (JSON object)
actionId(fromaction_id) requiredID of the action.
AuditLogActionId
string
joboptionalJob the event has been caused by (if any).
AuditLogEventJob
Fields (JSON object)
jobId(fromjob_id) requiredID of the job.
JobId
string